UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceSendExInfo Class Reference

## Public Member Functions
| LBMSourceSendExInfo ()
| LBMSourceSendExInfo (int flags, Object cbArg)
| LBMSourceSendExInfo (int flags, Object cbArg, LBMSourceChannelInfo channelInfo)
| LBMSourceSendExInfo (int flags, Object cbArg, LBMSourceChannelInfo channelInfo, LBMApplicationHeaderChain appHeaderChain)
| LBMSourceSendExInfo (int flags, Object cbArg, LBMSourceChannelInfo channelInfo, LBMApplicationHeaderChain appHeaderChain, UMQIndexInfo indexInfo)
| LBMSourceSendExInfo (int flags, Object cbArg, LBMSourceChannelInfo channelInfo, LBMApplicationHeaderChain appHeaderChain, UMQIndexInfo indexInfo, UMQMessageTotalLifetimeInfo lifetimeInfo)
| LBMSourceSendExInfo (int flags, Object cbArg, LBMSourceChannelInfo channelInfo, LBMApplicationHeaderChain appHeaderChain, UMQIndexInfo indexInfo, UMQMessageTotalLifetimeInfo lifetimeInfo, LBMMessageProperties properties)
void | setClientObject (Object cbArg)
void | setFlags (int flags)
void | setChannelInfo (LBMSourceChannelInfo channelInfo)
void | setIndexInfo (UMQIndexInfo indexInfo)
void | setTotalLifetimeInfo (UMQMessageTotalLifetimeInfo lifetimeInfo)
void | setMessageProperties (LBMMessageProperties properties)
int | flags ()
LBMApplicationHeaderChain | getApplicationHeaderChain ()
void | setApplicationHeaderChain (LBMApplicationHeaderChain appHeaderChain)
Object | clientObject ()
LBMSourceChannelInfo | channelInfo ()
UMQIndexInfo | indexInfo ()
UMQMessageTotalLifetimeInfo | totalLifetimeInfo ()
LBMMessageProperties | properties ()
void | setHfSequenceNumber (long hfsqn)
void | setHfSequenceNumberBigInt (BigInteger hfsqn)
long | getHfSequenceNumber ()
BigInteger | getHfSequenceNumberBigInt ()

## Detailed Description

LBM Source Send Extended Info class. Holds a user-supplied callback argument and user-supplied flags to change callback behavior for extended send calls.

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( |  | ) |

Create an empty LBMSourceSendExInfo object.

Since
  UME 2.0

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | Object | cbArg
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.

See also
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UME 2.0

References com.latencybusters.lbm.LBMSourceSendExInfo.flags().

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | Object | cbArg,
|  | LBMSourceChannelInfo | channelInfo
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set as well as channel information included.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.

See also
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY
  LBM::SRC_SEND_EX_FLAG_CHANNEL

Since
  LBM 3.6

References com.latencybusters.lbm.LBMSourceSendExInfo.channelInfo(), and com.latencybusters.lbm.LBMSourceSendExInfo.flags().

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | Object | cbArg,
|  | LBMSourceChannelInfo | channelInfo,
|  | LBMApplicationHeaderChain | appHeaderChain
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set as well as channel information included.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.
  appHeaderChain | Application header chain to be sent with messages.

See also
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY
  LBM::SRC_SEND_EX_FLAG_CHANNEL
  LBM::SRC_SEND_EX_FLAG_APPHDR_CHAIN

Since
  LBM 3.6

References com.latencybusters.lbm.LBMSourceSendExInfo.channelInfo(), and com.latencybusters.lbm.LBMSourceSendExInfo.flags().

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | Object | cbArg,
|  | LBMSourceChannelInfo | channelInfo,
|  | LBMApplicationHeaderChain | appHeaderChain,
|  | UMQIndexInfo | indexInfo
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set as well as channel information included.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.
  appHeaderChain | Application header chain to be sent with messages.
  indexInfo | UMQ index info to send with messages.

See also
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY
  LBM::SRC_SEND_EX_FLAG_CHANNEL
  LBM::SRC_SEND_EX_FLAG_APPHDR_CHAIN
  LBM::SRC_SEND_EX_FLAG_UMQ_INDEX

Since
  UMQ 1.2

References com.latencybusters.lbm.LBMSourceSendExInfo.channelInfo(), com.latencybusters.lbm.LBMSourceSendExInfo.flags(), and com.latencybusters.lbm.LBMSourceSendExInfo.indexInfo().

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | Object | cbArg,
|  | LBMSourceChannelInfo | channelInfo,
|  | LBMApplicationHeaderChain | appHeaderChain,
|  | UMQIndexInfo | indexInfo,
|  | UMQMessageTotalLifetimeInfo | lifetimeInfo
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.
  appHeaderChain | Application header chain to be sent with messages.
  indexInfo | UMQ index info to send with messages.
  lifetimeInfo | UMQ total lifetime info to send with messages.

See also
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY
  LBM::SRC_SEND_EX_FLAG_CHANNEL
  LBM::SRC_SEND_EX_FLAG_APPHDR_CHAIN
  LBM::SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME
  LBM::SRC_SEND_EX_FLAG_UMQ_INDEX

Since
  UMQ 1.2

References com.latencybusters.lbm.LBMSourceSendExInfo.channelInfo(), com.latencybusters.lbm.LBMSourceSendExInfo.flags(), and com.latencybusters.lbm.LBMSourceSendExInfo.indexInfo().

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | Object | cbArg,
|  | LBMSourceChannelInfo | channelInfo,
|  | LBMApplicationHeaderChain | appHeaderChain,
|  | UMQIndexInfo | indexInfo,
|  | UMQMessageTotalLifetimeInfo | lifetimeInfo,
|  | LBMMessageProperties | properties
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.
  appHeaderChain | Application header chain to be sent with messages.
  indexInfo | UMQ index info to send with messages.
  lifetimeInfo | UMQ total lifetime info to send with messages.
  properties | LBMMessageProperties to be sent with messages.

See also
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY
  LBM::SRC_SEND_EX_FLAG_CHANNEL
  LBM::SRC_SEND_EX_FLAG_APPHDR_CHAIN
  LBM::SRC_SEND_EX_FLAG_UMQ_INDEX
  LBM::SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME
  LBM::SRC_SEND_EX_FLAG_PROPERTIES

Since
  UMQ 1.2

References com.latencybusters.lbm.LBMSourceSendExInfo.flags(), com.latencybusters.lbm.LBMSourceSendExInfo.setApplicationHeaderChain(), com.latencybusters.lbm.LBMSourceSendExInfo.setChannelInfo(), com.latencybusters.lbm.LBMSourceSendExInfo.setIndexInfo(), com.latencybusters.lbm.LBMSourceSendExInfo.setMessageProperties(), and com.latencybusters.lbm.LBMSourceSendExInfo.setTotalLifetimeInfo().

## Member Function Documentation

LBMSourceChannelInfo com.latencybusters.lbm.LBMSourceSendExInfo.channelInfo | ( |  | ) |

Returns the currently set channel info.

Returns
  The current channel info.

Since
  LBM 3.6

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo(), and com.latencybusters.lbm.LBMSourceSendExInfo.setChannelInfo().

Object com.latencybusters.lbm.LBMSourceSendExInfo.clientObject | ( |  | ) |

Returns the client-supplied callback object.

Returns
  The current client-supplied callback object.

Since
  UME 2.0

int com.latencybusters.lbm.LBMSourceSendExInfo.flags | ( |  | ) |

Returns currently set flags.

Returns
  An int representing an OR'd set of currently set flags.

See also
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY
  LBM::SRC_SEND_EX_FLAG_CHANNEL
  LBM::SRC_SEND_EX_FLAG_APPHDR_CHAIN
  LBM::SRC_SEND_EX_FLAG_PROPERTIES
  LBM::SRC_SEND_EX_FLAG_HF_32
  LBM::SRC_SEND_EX_FLAG_HF_64

Since
  UME 2.0

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo(), and com.latencybusters.lbm.LBMSourceSendExInfo.setFlags().

LBMApplicationHeaderChain com.latencybusters.lbm.LBMSourceSendExInfo.getApplicationHeaderChain | ( |  | ) |

Get the LBMApplicationHeaderChain currently attached to this LBMSourceSendExInfo object, if any.

Returns
  The LBMApplicationHeaderChain object attached to this LBMSourceSendExInfo object, or null if it has no LBMApplicationHeaderChain attached.

Since
  UMQ 1.1

long com.latencybusters.lbm.LBMSourceSendExInfo.getHfSequenceNumber | ( |  | ) |

Get the currently set hot failover sequence number as a long value.

See also
  getHfSequenceNumberBigInt(BigInteger)

Returns
  Hot failover sequence number

BigInteger com.latencybusters.lbm.LBMSourceSendExInfo.getHfSequenceNumberBigInt | ( |  | ) |

Get the currently set hot failover sequence number as a BigInteger. This is provided as a convenience method to ensure 64 bit numbers are returned as unsigned values.

See also
  getHfSequenceNumber

Returns
  Hot failover sequence number

References com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_PROPERTIES.

UMQIndexInfo com.latencybusters.lbm.LBMSourceSendExInfo.indexInfo | ( |  | ) |

Returns the currently set index info.

Returns
  The current index info.

Since
  UMQ 1.2

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo(), and com.latencybusters.lbm.LBMSourceSendExInfo.setIndexInfo().

LBMMessageProperties com.latencybusters.lbm.LBMSourceSendExInfo.properties | ( |  | ) |

Gets the current message properties to be included with messages. Returns null if no message properties are set.

Since
  UMS 6.8

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.setMessageProperties().

void com.latencybusters.lbm.LBMSourceSendExInfo.setApplicationHeaderChain | ( | LBMApplicationHeaderChain | appHeaderChain | ) |

Attaches a LBMApplicationHeaderChain object to this LBMSourceSendExInfo object, or removes an existing LBMApplicationHeaderChain object if null is passed. Also sets or clears the LBM::SRC_SEND_EX_FLAG_APPHDR_CHAIN from the flags field as appropriate.

Parameters

  appHeaderChain | LBMApplicationHeaderChain to attach, or null to remove an existing LBMApplicationHeaderChain.

Since
  UMQ 1.1

References com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_APPHDR_CHAIN.

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo().

void com.latencybusters.lbm.LBMSourceSendExInfo.setChannelInfo | ( | LBMSourceChannelInfo | channelInfo | ) |

Sets channel info to be included with messages. Removes channel info from this object if null is passed. Also sets or clears the LBM::SRC_SEND_EX_FLAG_CHANNEL from the flags field as appropriate.

Parameters

  channelInfo | A channel info object

See also
  LBMSource::createChannel(int)

Since
  LBM 3.6

References com.latencybusters.lbm.LBMSourceSendExInfo.channelInfo(), and com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_CHANNEL.

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo().

void com.latencybusters.lbm.LBMSourceSendExInfo.setClientObject | ( | Object | cbArg | ) |

Set the user-supplied callback object.

Parameters

  cbArg | User-supplied object passed back with any callbacks.

Since
  UME 2.0

void com.latencybusters.lbm.LBMSourceSendExInfo.setFlags | ( | int | flags | ) |

Sets flags that control callback behavior.

Parameters

  flags | An integer representing an OR'd value of flags to set.

See also
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY
  LBM::SRC_SEND_EX_FLAG_CHANNEL
  LBM::SRC_SEND_EX_FLAG_APPHDR_CHAIN
  LBM::SRC_SEND_EX_FLAG_UMQ_INDEX
  LBM::SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME
  LBM::SRC_SEND_EX_FLAG_PROPERTIES
  LBM::SRC_SEND_EX_FLAG_HF_32
  LBM::SRC_SEND_EX_FLAG_HF_64

Since
  UME 2.0

References com.latencybusters.lbm.LBMSourceSendExInfo.flags().

void com.latencybusters.lbm.LBMSourceSendExInfo.setHfSequenceNumber | ( | long | hfsqn | ) |

Set the hot failover sequence number to send. Though java does not support unsigned integers, UMS hot failover values are considered unsigned. This method is used to set either the 32 or 64 bit sequence number to send. The ExInfo flags determine which bit value will be used, and must be set accordingly.

Parameters

  hfsqn | Hot failover sequence number to send.

See also
  LBM::SRC_SEND_EX_FLAG_HF_32
  LBM::SRC_SEND_EX_FLAG_HF_64
  setHfSequenceNumberBigInt(BigInteger)

Since
  UMS 5.1.1

void com.latencybusters.lbm.LBMSourceSendExInfo.setHfSequenceNumberBigInt | ( | BigInteger | hfsqn | ) |

Set the hot failover sequence number to send. This method is provided for convenience when using 64 bit numbers. UMS will only use 64 bits of the BigInteger and is stored internally as a long.

Parameters

  hfsqn | Hot failover sequence number to send

See also
  LBM::SRC_SEND_EX_FLAG_HF_32
  LBM::SRC_SEND_EX_FLAG_HF_64
  setHfSequenceNumber(long)

Since
  UMS 5.1.1

void com.latencybusters.lbm.LBMSourceSendExInfo.setIndexInfo | ( | UMQIndexInfo | indexInfo | ) |

Sets index info to be included with messages. Removes index info from this object if null is passed. Also sets or clears the LBM::SRC_SEND_EX_FLAG_UMQ_INDEX from the flags field as appropriate.

Parameters

  indexInfo | An index info object

Since
  UMQ 1.2

References com.latencybusters.lbm.LBMSourceSendExInfo.indexInfo(), and com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_UMQ_INDEX.

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo().

void com.latencybusters.lbm.LBMSourceSendExInfo.setMessageProperties | ( | LBMMessageProperties | properties | ) |

Sets message properties to be included with messages. Removes message properties from this object if null is passed. Also sets or clears the LBM::SRC_SEND_EX_FLAG_PROPERTIES from the flags field as appropriate.

Parameters

  properties | A properties object

Since
  UMS 5.1

References com.latencybusters.lbm.LBMSourceSendExInfo.properties(), and com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_PROPERTIES.

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo().

void com.latencybusters.lbm.LBMSourceSendExInfo.setTotalLifetimeInfo | ( | UMQMessageTotalLifetimeInfo | lifetimeInfo | ) |

Sets total lifetime info to be included with messages. Removes total lifetime info from this object if null is passed. Also sets or clears the LBM::SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME from the flags field as appropriate.

Parameters

  lifetimeInfo | A total lifetime info object

Since
  UMQ 2.2

References com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME.

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo().

UMQMessageTotalLifetimeInfo com.latencybusters.lbm.LBMSourceSendExInfo.totalLifetimeInfo | ( |  | ) |

Returns the currently set total lifetime info.

Returns
  The current total lifetime info.

Since
  UMQ 2.2

The documentation for this class was generated from the following file:

- LBMSourceSendExInfo.java